librime: rime::ConfigMap Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Types | Public Member Functions | Protected Attributes | List of all members
rime::ConfigMap Class Reference

`#include <config_types.h>`

Inheritance diagram for rime::ConfigMap:
[legend]
Collaboration diagram for rime::ConfigMap:
[legend]

## Public Types
using | Map = map<string, an<ConfigItem>>
using | Iterator = Map::iterator
Public Types inherited from rime::ConfigItem
enum | ValueType { kNull , kScalar , kList , kMap }

## Public Member Functions
| ConfigMap ()
RIME_DLL bool | HasKey (const string &key) const
RIME_DLL an< ConfigItem > | Get (const string &key) const
RIME_DLL an< ConfigValue > | GetValue (const string &key) const
RIME_DLL bool | Set (const string &key, an< ConfigItem > element)
bool | Clear ()
Iterator | begin ()
Iterator | end ()
bool | empty () const override
Public Member Functions inherited from rime::ConfigItem
| ConfigItem ()=default
virtual | ~ConfigItem ()=default
ValueType | type () const

## Protected Attributes
Map | map_
Protected Attributes inherited from rime::ConfigItem
ValueType | type_ = kNull

## Additional Inherited Members
Protected Member Functions inherited from rime::ConfigItem
| ConfigItem (ValueType type)

## Member Typedef Documentation

## ◆ Iterator

using rime::ConfigMap::Iterator = Map::iterator

## ◆ Map

using rime::ConfigMap::Map = map<string, an<ConfigItem>>

## Constructor & Destructor Documentation

## ◆ ConfigMap()

rime::ConfigMap::ConfigMap | ( |  | ) |
| inline

## Member Function Documentation

## ◆ begin()

ConfigMap::Iterator rime::ConfigMap::begin | ( |  | ) |

## ◆ Clear()

bool rime::ConfigMap::Clear | ( |  | ) |

## ◆ empty()

bool rime::ConfigMap::empty | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from rime::ConfigItem.

## ◆ end()

ConfigMap::Iterator rime::ConfigMap::end | ( |  | ) |

## ◆ Get()

an< ConfigItem > rime::ConfigMap::Get | ( | const string & | key | ) | const

## ◆ GetValue()

an< ConfigValue > rime::ConfigMap::GetValue | ( | const string & | key | ) | const

## ◆ HasKey()

bool rime::ConfigMap::HasKey | ( | const string & | key | ) | const

## ◆ Set()

bool rime::ConfigMap::Set | ( | const string & | key,
|  | an< ConfigItem > | element )

## Member Data Documentation

## ◆ map_

Map rime::ConfigMap::map_
| protected

The documentation for this class was generated from the following files:

- config_types.h
- config_types.cc